- [HTTP request](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/accounts.aggregateProductStatuses/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/accounts.aggregateProductStatuses/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/accounts.aggregateProductStatuses/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/accounts.aggregateProductStatuses/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/accounts.aggregateProductStatuses/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/accounts.aggregateProductStatuses/list#body.ListAggregateProductStatusesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/accounts.aggregateProductStatuses/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/accounts.aggregateProductStatuses/list#try-it)

Lists the `AggregateProductStatuses` resources for your merchant account. The response might contain fewer items than specified by `pageSize`. If `pageToken` was returned in previous request, it can be used to obtain additional results.

This method can only be accessed by standalone accounts and sub-accounts of an advanced account. To retrieve product statuses for sub-accounts, you must first call the \[accounts.listSubaccounts\]\[google.shopping.merchant.accounts.v1main.AccountsService.ListSubaccounts\] method to obtain a list of sub-accounts, and then call `accounts.aggregateProductStatuses.list` for each sub-account individually.

### HTTP request

`GET https://merchantapi.googleapis.com/issueresolution/v1/{parent=accounts/*}/aggregateProductStatuses`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account to list aggregate product statuses for. Format: `accounts/{account}` Can only be sub-accounts and standalone accounts. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of aggregate product statuses to return. The service may return fewer than this value. If unspecified, at most 25 aggregate product statuses are returned. The maximum value is 250; values above 250 are coerced to 250. |
| `pageToken` | `string` Optional. A page token, received from a previous `aggregateProductStatuses.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `aggregateProductStatuses.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter expression that filters the aggregate product statuses. Filtering is only supported by the `reportingContext` and `country` field. For example: `reportingContext = "SHOPPING_ADS" AND country = "US"`. |

### Request body

The request body must be empty.

### Response body

Response message for the `aggregateProductStatuses.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "aggregateProductStatuses": [ { object (`https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/accounts.aggregateProductStatuses#AggregateProductStatus`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `aggregateProductStatuses[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/issueresolution_v1/accounts.aggregateProductStatuses#AggregateProductStatus`)`` The `AggregateProductStatuses` resources for the given account. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).